signature DOIT_STRUCTS = 
   sig
      structure Document: DOCUMENT
      structure Meaning: MEANING
      sharing Document = Meaning.Document
   end

signature DOIT = 
   sig
      include DOIT_STRUCTS

      structure Eval: EVAL
      structure Parse: PARSE
      structure Peephole: PEEPHOLE

      val doit: Time.t * In.t * Out.t -> unit
   end
