type int = Int.t

signature GENRANDOM_STRUCTS =
   sig
      structure Document: DOCUMENT
      structure Meaning: MEANING
      sharing Document = Meaning.Document
   end

signature GENRANDOM =
sig
    include GENRANDOM_STRUCTS

    (* the parameter is the number of characters generated in the output *)
    val generate1 : int -> Document.t

    (* the parameter is the number of characters generated in the output *)
    val generate2 : int -> Meaning.t
end
