type int = Int.t

signature PARSE_STRUCTS = 
   sig
      structure Document: DOCUMENT
   end

signature PARSE = 
   sig
      include PARSE_STRUCTS

      structure Token:
	 sig
	    type t

	    val isEof: t -> bool
	    val tokenize: File.t -> unit -> t
	 end

      val parse: File.t -> Document.t
      val strip: File.t -> unit
   end


functor TestParse (S: PARSE): sig end = 
struct

val _ = print "TestParse\n"

open S

val _ = Assert.assert ("Parse", fn () => true)

end
